/* =========== © 2024 Centroarts.com =========== */

/* - User Drop - */
.modal-user { user-select: none; }
.modal-user-head { position: relative; text-align: center; }
.modal-user-head > a, .modal-user-menu li a { color: inherit !important; text-decoration: none !important; }
.modal-user-head > a { display: block; }
.modal-user-head > a::before { content: ""; position: absolute; left: 0; top: 0; right: 0; bottom: 0; z-index: 1; }
.modal-user-head > a::after { content: attr(title); display: block; opacity: .5; line-height: 20px; margin-top: 4px; font-size: 14px; }
.modal-user-name {
	display: block; font-size: var(--drop-title); line-height: 24px; font-weight: bold;
	overflow: hidden; white-space: nowrap; text-overflow: ellipsis;
}
.modal-user-head .avatar {
	min-width: 80px; max-width: 80px; height: 80px; margin: 12px auto; margin-top: 0;
	border-radius: 50%; background-color: rgba(var(--text-color-rgb), 0.1);
}

.modal-user-menu, .modal-user-menu + .btn { margin-top: 24px; }

.modal-user-menu li a {
	display: flex; align-items: center;
	line-height: 24px; padding: 10px 12px 10px 8px;
	transition: background-color .15s ease; white-space: nowrap;
	border-radius: var(--btn-radius);
}
.modal-user-menu li a:hover { background-color: rgba(var(--text-color-rgb), 0.05); }
.modal-user-menu li a > .ic { width: 24px; height: 24px; margin-right: 10px; }
.modal-user-menu li a > .muted { font-style: normal; margin-left: auto; font-size: var(--fs-sm); }

/* - Edit - */
.icon_dots { width: 16px; height: 4px; display: flex; margin: 0 auto; }
.icon_dots > i { width: 4px; height: 4px; background-color: var(--text-color); border-radius: 50%; }
.icon_dots > i + i { margin-left: 2px; }

@media (min-width: 992px) {
	.post__edit { position: relative; }
	.post__edit a {
		border-radius: 50%; border-bottom-left-radius: 1px; position: absolute; z-index: 154;
		display: flex; align-items: center; justify-content: center;
		width: 26px; height: 26px; color: #fff !important;
		background-color: rgba(65,65,65,.8); opacity: 0;
		transition: opacity .2s ease .2s, transform .3s ease .4s;
		box-shadow: 0 0 .75rem 0 rgba(0,0,0,0.5);
		-webkit-backdrop-filter: blur(12px); backdrop-filter: blur(12px);
	}
	.post:hover .post__edit a, .poster:hover .post__edit a { opacity: 1; transform: translateY(-100%); }
	.post__edit a:hover { background-color: rgba(65,65,65,.9); }
	.post__edit .icon_dots > i { background-color: #fff; }
}
@media (max-width: 991px) {
	.post__edit { display: none; }
}

/* - Выпадающее меню кнопки редактировать - */
#dropmenudiv {
	padding: 8px; min-width: 140px; width: auto !important; opacity: 1 !important; display: none;
	font-size: var(--fs-sm); border-radius: var(--drop-radius); box-shadow: var(--drop-shadow);
	background-color: var(--drop-dark-color); color: var(--text-dark-color);
	background-clip: padding-box;
}
#dropmenudiv a {
	color: inherit !important; text-decoration: none !important;
	display: block; padding: 6px 12px; border: 0 none; white-space: nowrap;
	border-radius: calc(var(--drop-radius) - 8px);
}
#dropmenudiv a:hover { background-color: rgba(var(--text-dark-color-rgb), 0.1); }